base/urls.py
from django.urls import path
from . import views

app_name = 'base'

urlpatterns = [
    path('', views.index, name='base'),
    path('/masker', views.masker, name='masker'),
    path('/sanitizer', views.sanitizer, name='sanitizer'),
    path('/faceshield', views.faceshield, name='faceshield'),


]

covid_web_tk1/urls.py
from django.conf import settings
from django.conf.urls.static import static
from django.contrib import admin
from django.urls import path, include

urlpatterns = [
    path('', include('base.urls')),
    path('', include('postingan.urls')),
    path('admin/', admin.site.urls),
    path('feedbackpage/', include('feedbackpage.urls')),
    path('semangatpage/', include('semangatpage.urls')),
    path('profile/', include('profilepage.urls')),
    # path('', include('pooling.urls')),
    # path('', include('postingan.urls')),
    path('jadwal/', include('jadwal.urls')),
] + static(settings.MEDIA_URL, document_root=settings.MEDIA_ROOT)

jadwal/urls.py
from django.urls import path
from . import views

app_name = 'jadwal'
# app_name = 'postingan'
urlpatterns = [
    path('', views.jadwal, name='jadwal'),
    path('edit/', views.edit, name='edit'),
]

jadwal/models.py
from django.db import models
# Create your models here.
KRITERIA = ( 
    ("Non Critical", "Non Critical"),
    ("Critical", "Critical"), 
)

# ini buat detail jadwal yang ada
class Kriteria(models.Model):
    kriteria = models.CharField ('Kriteria', choices = KRITERIA, default='Non Critical', max_length = 20, null = True)
    def __str__(self):
        return self.kriteria

class Jadwal(models.Model):
    kriteria = models.ForeignKey(Kriteria, on_delete=models.CASCADE, null=True)
    jadwal = models.CharField('Jadwal', max_length=80, null=True)

    def __str__(self):
        return self.jadwal

jadwal/forms.py
from django.forms import ModelForm
from .models import Jadwal

class ListJadwal(ModelForm):
    required_css_class = 'required'
# fields that are automatically generated depend on the content of the 
# Meta class and on which fields have already been defined declaratively
    class Meta:
        model = Jadwal
        fields = '__all__'

jadwal/views.py
from django.shortcuts import render, redirect
from .forms import ListJadwal
from .models import Jadwal, Kriteria
# Create your views here.

def jadwal (request):
    submit = False
    list_jadwal = Jadwal.objects.all()
    kriteria = Kriteria.objects.all()

    if request.method == 'POST':
        form = ListJadwal(request.POST)
        if form.is_valid():
            form.save()
        return redirect ('/jadwal/')

    else:
        form = ListJadwal()
        if 'submit' in request.GET:
            submit = True
    return render(request, 'tambahjadwal.html', {
        'form': form, 'submit': submit, 
        'kriteria': kriteria,
        'list_jadwal': list_jadwal,
        }
    )

def edit (request):
    if request.method == "POST":
        Jadwal.objects.get(id=request.POST['id']).delete()
        return redirect('/jadwal/')
    list_jadwal = Jadwal.objects.all()
    return render(request, 'tambahjadwal.html', {'list_jadwal': list_jadwal})

jadwal/templates/tambahjadwal.html
{% extends 'base/base.html' %}

{% block content %}
{% include 'base/navbar.html' %}

<div class="containter-fluid wrapper" style="min-height: 100vh;">
    <div class="col-md-12 pt-4" style="text-align: center">
        <h1 class="judul" style="font-size: 45px;">Susun jadwal</h1>
        
    </div>
    <div class="row">
        <div class="col-md-2 pt-4"></div>
        <div class="col-md-8 pt-4" style="text-align: center">
            <p>Jangan lupa tetap produktif walaupun dirumah saja.
                Tambahkan jadwal mu dan susun jadwal tersebut sesuai
                dengan skala prioritas mu sendiri.
            </p>
        </div>
        <div class="col-md-2 pt-4"></div>
    </div>

   
    <div class="row">
    <div class="pt-4 col-md-6">
        <table class="table-hover table table-borderless mx-5 mb-5 m-auto">
            <thead class="text-center" style="color: aliceblue;">
                <tr>
                <th class="judul" style="font-size: 45px; color:#72C3B3">Non Critical</th>
                </tr>
            </thead>

            <tbody>
                <tr id="spesialtr">
                <td class="text-center">
                    {% for listkriteria in kriteria %}
                        {% if listkriteria.kriteria == 'Non Critical'  %}
                            {% for i in list_jadwal %}
                                {% if i.kriteria == listkriteria  %}
                                <div class="row d-flex align-items-center justify-content-center text-center">
                                    <div class="pt-4 col-4">
                                        <p>{{ i.jadwal }} </p>
                                    </div>
                                    <div class="pt-4 col-3">
                                        <form method="POST" action="{% url 'jadwal:edit' %}">
                                            {% csrf_token %}
                                            <input name="id" value="{{i.id}}" type="hidden" />
                                            <button type="submit" value="Submit" class="btn bg-dark mx-auto text-white" style="font-size: 0.8rem; margin-top:-1.5rem ">
                                                Hapus
                                            </button>
                                        </form>
                                    </div>
                                </div>
                                {% endif %}
                            {% endfor %}
                        {% endif %}
                    {% endfor %}
                </td>
                </tr>
            </tbody>
        </table>
    </div>
        <div class="pt-4 col-md-6">
            <table class="table-hover table table-borderless mx-5 mb-5 m-auto">
                <thead class="text-center" style="color: aliceblue;">
                    <tr>
                    <th class="judul" style="font-size: 45px; color:#BC475D">Critical</th>
                    </tr>
                </thead>
    
                <tbody>
                    <tr id="spesialtr">
                    <td class="text-center">
                        {% for listkriteria in kriteria %}
                            {% if listkriteria.kriteria == 'Critical'  %}
                                {% for i in list_jadwal %}
                                    {% if i.kriteria == listkriteria  %}
                                    <div class="row d-flex align-items-center justify-content-center text-center">
                                        <div class="pt-4 col-3">
                                            <p>{{ i.jadwal }} </p>
                                        </div>
                                        <div class="pt-4 col-3">
                                            <form method="POST" action="{% url 'jadwal:edit' %}">
                                                {% csrf_token %}
                                                <input name="id" value="{{i.id}}" type="hidden" />
                                                <button type="submit" value="Submit" class="btn bg-dark mx-auto text-white" style="font-size: 0.8rem; margin-top:-1.5rem ">
                                                    Hapus
                                                </button>
                                            </form>
                                        </div>
                                    </div>
                                    {% endif %}
                                {% endfor %}
                            {% endif %}
                        {% endfor %}
                    </td>
                    </tr>
                </tbody>
            </table>
        </div>
    </div>
    


    <div class="pt-3">
        <form action="" method="POST" novalidate>
            {% csrf_token %}
            
            <table class="table mx-5 table-borderless" style="width:40vw; color:aliceblue;">
                {{ form.as_table }}
                <tr>
                    <td>&nbsp;</td>
                    <td>
                        <button type="submit" class="btn btn-light" style="color: black;">Tambahkan</button>
                    </td>
                </tr>
                
            </table>
            </form>
    </div>
</div>


{% endblock %}